#include <stdint.h>

#ifndef _LCD_ROUTINES_H_
#define _LCD_ROUTINES_H_
 
// Pinbelegung fr das LCD, an verwendete Pins anpassen
 
#define LCD_PORT      PORTC
#define LCD_RS        PC4
#define LCD_EN        PC5


extern void lcd_data(unsigned char temp1);
extern void lcd_string(char *data);
extern void lcd_command(unsigned char temp1);
extern void lcd_enable(void);
extern void lcd_init(void);
//extern void lcd_home(void);
extern void lcd_clear(void);
extern void lcd_set_cursor(uint8_t x, uint8_t y);
extern void lcd_dcb(unsigned char display, unsigned char cursor, unsigned char blinking);
 
#endif /* _LCD_ROUTINES_H_ */
